Name:           python3-virtualenv
Version:        15.1.0
Release:        1%{?dist}
Summary:        Tool to create isolated Python environments

Group:          Development/Languages
License:        MIT
URL:            https://pypi.python.org/pypi/virtualenv
Source0:        https://files.pythonhosted.org/packages/source/v/virtualenv/virtualenv-%{version}.tar.gz

# virtualenv -p "/usr/bin/python3" venv fails if there are not packages installed
# under /usr/local/lib/pythonX.Y/site-packages. Check if exec_dir exists before
# listing it's content.
Patch0: check-exec_dir.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
# Not yet packaged
#BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  python-sphinx


%description
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license.


%package        doc
Summary:        Documentation for python virtualenv

%description    doc
Documentation for python virtualenv.

%package -n     python%{python3_pkgversion}-virtualenv
Summary:        Tool to create isolated Python environments

Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-devel
%{?python_provide:%python_provide python%{python3_pkgversion}-virtualenv}

%description -n python%{python3_pkgversion}-virtualenv
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license


%prep
%setup -q -n virtualenv-%{version}
%{__sed} -i -e "1s|#!/usr/bin/env python||" virtualenv.py 

%patch0 -p1

%build
%{py3_build}

#{__python3} setup.py build_sphinx
%{__python2} setup.py build_sphinx
rm -f build/sphinx/html/.buildinfo


%install
%{py3_install}
# rename binaries to use python3
mv %{buildroot}/%{_bindir}/virtualenv %{buildroot}/%{_bindir}/py3-virtualenv
# The versioned 3.x script was removed from upstream. Add it back.
cp %{buildroot}/%{_bindir}/py3-virtualenv %{buildroot}/%{_bindir}/virtualenv-%{python3_version}
cp %{buildroot}/%{_bindir}/py3-virtualenv %{buildroot}/%{_bindir}/virtualenv-3

# Include sphinx docs on Fedora
%files doc
%doc build/sphinx/*

%files -n python%{python3_pkgversion}-virtualenv
%license LICENSE.txt
%doc docs/*rst PKG-INFO AUTHORS.txt
%{_bindir}/py3-virtualenv
%{_bindir}/virtualenv-3
%{_bindir}/virtualenv-%{python3_version}
%{python3_sitelib}/virtualenv.py
%{python3_sitelib}/virtualenv_support/
%{python3_sitelib}/virtualenv-*.egg-info
%{python3_sitelib}/__pycache__/*


%changelog
* Mon Aug 14 2017 Orion Poplawski <orion@cora.nwra.com> - 15.1.0-1
- Update to 15.1.0

* Fri Mar 10 2017 Orion Poplawski <orion@cora.nwra.com> - 15.0.3-1
- Initial EPEL package
